<?php

if ( !function_exists( 'pippo_product_metaboxes' ) ) {
	function pippo_product_metaboxes(array $metaboxes) {
		$prefix = 'goal_product_';
        $headers = array_merge( array('global' => esc_html__( 'Global Setting', 'pippo' )), pippo_get_header_layouts() );
	    $fields = array(
            array(
                'id' => $prefix.'header_type',
                'type' => 'select',
                'name' => esc_html__('Header Layout Type', 'pippo'),
                'options' => $headers
            ),
	    	array(
                'id' => $prefix.'layout_type',
                'type' => 'select',
                'name' => esc_html__('Layout Type', 'pippo'),
                'options' => array(
                    '' => esc_html__('Global Settings', 'pippo'),
                    'v1' => esc_html__('Layout 1', 'pippo'),
                    'v2' => esc_html__('Layout 2', 'pippo'),
                    'v3' => esc_html__('Layout 3', 'pippo'),
                    'v4' => esc_html__('Layout 4', 'pippo'),
                    'v5' => esc_html__('Layout 5', 'pippo'),
                    'v6' => esc_html__('Layout 6', 'pippo'),
                    'v7' => esc_html__('Layout 7', 'pippo'),
                )
            ),
            array(
                'id' => $prefix.'bg_color',
                'type' => 'colorpicker',
                'name' => esc_html__('Background Color', 'pippo'),
                'description' => esc_html__('For Layout 2 ', 'pippo'),
            ),
	    	array(
  				'name' => esc_html__( 'Review Video', 'pippo' ),
  				'id'   => $prefix.'review_video',
  				'type' => 'text',
  				'description' => esc_html__( 'You can enter a video youtube or vimeo', 'pippo' ),
  			),
        array(
          'name' => esc_html__( 'Features', 'pippo' ),
          'id'   => $prefix.'features',
          'type' => 'wysiwyg'
        ),
    	);
		
		// if ( pippo_is_sizeguides_activated() ) {
		// 	$fields[] = array(
  //               'id' => $prefix.'sizeguides_enable',
  //               'type' => 'select',
  //               'name' => esc_html__('Size Guides Enable', 'pippo'),
  //               'options' => array(
  //                   '' => esc_html__('Global Settings', 'pippo'),
  //                   'enable' => esc_html__('Enable', 'pippo'),
  //                   'disable' => esc_html__('Disable', 'pippo'),
  //               )
  //           );
		// }

	    $metaboxes[$prefix . 'display_setting'] = array(
			'id'                        => $prefix . 'display_setting',
			'title'                     => esc_html__( 'More Information', 'pippo' ),
			'object_types'              => array( 'product' ),
			'context'                   => 'normal',
			'priority'                  => 'low',
			'show_names'                => true,
			'fields'                    => $fields
		);

	    return $metaboxes;
	}
}
add_filter( 'cmb2_meta_boxes', 'pippo_product_metaboxes' );
